Net::Route::Table(3pm)

NAME
Net::Route::Table - A routing table, such as your system's.

SYNOPSIS
    use Net::Route::Table;
    $table_ref = Net::Route::Table->from_system();
    my $default_route_ref = $table_ref->default_route();
    my $routes_ref = $table_ref->all_routes();

VERSION
Revision $Revision: 363 $.

DESCRIPTION
This class represents a routing table. It can be read from the system and gives access to appropriate selections of routes.

INTERFACE

  Class Methods
from_system()

Returns the system's routing table as a Net::Route::Table object.

  Object Methods

  default_route()
Returns the current default route of the system as a Net::Route object.

  all_routes()
Returns the complete routing table as an arrayref of Net::Route objects. The active routes are listed first, then the results are sorted by increasing metric.

AUTHOR
Created by Alexandre Storoz, "<astoroz@straton-it.fr>"

Maintained by Thomas Equeter, "<tequeter@straton-it.fr>"

LICENSE AND COPYRIGHT
Copyright (C) 2009 Straton IT.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.